/*================================================================================
	Item Name: Materialize - Material Design Admin Template
	Version: 5.0
	Author: PIXINVENT
	Author URL: https://themeforest.net/user/pixinvent/portfolio
================================================================================

NOTE:
------
PLACE HERE YOUR OWN CSS CODES AND IF NEEDED, OVERRIDE THE STYLES FROM THE OTHER STYLESHEETS.
WE WILL RELEASE FUTURE UPDATES SO IN ORDER TO NOT OVERWRITE YOUR STYLES IT'S BETTER LIKE THIS.  */
.login-bg {
	background-image: url('../../../assets/images/login_cover.jpg');
}

.btn-floating {
	background-color: #ffffff;
}

.btn-floating i {
	color: #303f9f;
}

#toast-container {
	top: auto !important;
	left: auto !important;
	bottom: 5%;
	right: 5%;
}

.brand-sidebar .logo-wrapper a.brand-logo img {
	height: 50px;
}

.brand-sidebar .brand-logo {
	padding: 6px 12px;
}

/* user list css */
/*--------------*/
.users-list-wrapper i {
	vertical-align: middle;
}

.users-list-wrapper .users-list-filter .show-btn {
	padding-top: 43px !important;
}

.users-list-wrapper .users-list-table {
	overflow: hidden;
}

.users-list-wrapper .users-list-table .dataTables_filter label input {
	width: auto;
	height: auto;
	margin-left: .5rem;
}

.users-list-wrapper .users-list-table .dataTables_length label select {
	display: inline-block;

	width: auto;
	height: auto;
}

.users-list-wrapper .users-list-table .dataTable {
	border-collapse: collapse;
}

.users-list-wrapper .users-list-table .dataTable th {
	width: auto !important;
	padding: 19px 15px;

	border-bottom: 1px solid #e0e0e0;
}

.users-list-wrapper .users-list-table .dataTable tbody td {
	padding: .8rem .8rem;
}

.users-list-wrapper .users-list-table .dataTables_paginate {
	/* Pagination button styling */
}

.users-list-wrapper .users-list-table .dataTables_paginate .paginate_button {
	margin-top: .25rem;
	padding: .25em .65em;
}

.users-list-wrapper .users-list-table .dataTables_paginate .paginate_button.current,
.users-list-wrapper .users-list-table .dataTables_paginate .paginate_button:hover {
	color: white !important;
	border: 1px solid #3f51b5;
	border-radius: 4px;
	background: #3f51b5;
	box-shadow: 0 0 8px 0 #3f51b5;
}

/* user view css*/
/*-------------*/
.users-view i {
	vertical-align: middle;
}

.users-view .media .avatar {
	margin-right: .6rem;
}

.users-view .media .users-view-name {
	font-size: 1.47rem;
}

.users-view .quick-action-btns a {
	margin-left: 1rem;
}

.users-view .users-view-timeline {
	padding: 2rem;
}

.users-view .users-view-timeline h6 span {
	font-size: 2rem;

	vertical-align: middle;
}

.users-view .striped td:first-child {
	/* dynamic width change of first td*/
	width: 140px;
}

/* user edit css*/
/*-------------*/
.users-edit i {
	vertical-align: middle;
}

.users-edit .tabs .tab a {
	text-overflow: clip;
}

.users-edit .tabs .tab a span {
	position: relative;
	top: 2px;
}

.users-edit .tabs .tab a.active {
	border-radius: 4px;
	background-color: #e8eaf6;
}

.users-edit .user-edit-btns a {
	margin-right: 1rem;
}

.users-edit form button[type='submit'] {
	margin-right: 1rem;
}

@media (max-width: 600px) {
	.users-view-timeline h6 {
		/* view timeline text center*/
		text-align: center;
	}

	.users-view .media {
		margin-bottom: .5rem;
	}

	.users-view .media .media-heading {
		display: -webkit-box;
		display: -webkit-flex;
		display: -ms-flexbox;
		display: flex;
	}

	.users-view .media .media-heading .users-view-name {
		font-size: 1.2rem;
	}

	.users-view .media .media-heading .users-view-username {
		font-size: .8rem;
	}
}

/* Invoice list */
/*---------------*/
.invoice-list-wrapper {
	margin-top: 45px;
	margin-bottom: 22px;
	/* invoice wrapper */
}

.invoice-list-wrapper .responsive-table {
	/* data table */
	/* Data table Pagination*/
	/* small bullet*/
}

.invoice-list-wrapper .responsive-table .top .action-filters {
	-webkit-box-flex: .95;
	-webkit-flex-grow: .95;
	-ms-flex-positive: .95;
	flex-grow: .95;
}

.invoice-list-wrapper .responsive-table .top .action-filters .dataTables_filter {
	width: 100%;
	padding-right: 30px;
}

.invoice-list-wrapper .responsive-table .top .action-filters .dataTables_filter label {
	position: relative;
}

.invoice-list-wrapper .responsive-table .top .action-filters .dataTables_filter label input[type='search'] {
	height: 3.2rem;
	margin: 0;
	padding-left: 1.5rem;

	border: 1px solid #9e9e9e !important;
	border-bottom: none;
	border-radius: 150px;
	background: white;
}

.invoice-list-wrapper .responsive-table .top .action-filters .dataTables_filter label input[type='search']:focus {
	box-shadow: none;
}

.invoice-list-wrapper .responsive-table .top .action-filters .dataTables_filter label .filter-btn {
	position: absolute;
	top: -12px;
	right: 7px;
}

.invoice-list-wrapper .responsive-table .top .action-btns {
	-webkit-box-flex: .05;
	-webkit-flex-grow: .05;
	-ms-flex-positive: .05;
	flex-grow: .05;
	-webkit-justify-content: space-around;
	-ms-flex-pack: distribute;
	justify-content: space-around;
}

.invoice-list-wrapper .responsive-table .invoice-data-table {
	border-collapse: collapse;

	box-shadow: box-shadow .25s;
}

.invoice-list-wrapper .responsive-table .invoice-data-table th {
	width: auto !important;
	padding: 19px 15px;

	border-bottom: 1px solid #e0e0e0;
}

.invoice-list-wrapper .responsive-table .invoice-data-table.dataTable tbody td {
	padding: .8rem .8rem;
}

.invoice-list-wrapper .responsive-table .invoice-data-table.dataTable tbody td .invoice-action a {
	color: #9e9e9e;
}

.invoice-list-wrapper .responsive-table .invoice-data-table.dataTable tbody td .invoice-action a i {
	font-size: 1.5rem;
}

.invoice-list-wrapper .responsive-table .invoice-data-table tr:last-child {
	border-bottom-color: transparent;
}

.invoice-list-wrapper .responsive-table .invoice-data-table .dt-checkboxes-cell {
	/* Data Table checkbox style */
}

.invoice-list-wrapper .responsive-table .invoice-data-table .dt-checkboxes-cell input {
	opacity: .5;

	-webkit-appearance: none;
}

.invoice-list-wrapper .responsive-table .invoice-data-table .dt-checkboxes-cell input::before,
.invoice-list-wrapper .responsive-table .invoice-data-table .dt-checkboxes-cell input::after {
	position: absolute;
	z-index: 0;
	top: -4px;
	left: 0;

	width: 18px;
	height: 18px;
	margin-top: -3px;

	content: '';
	-webkit-transition: .2s;
	transition: .2s;

	border: 2px solid #9e9e9e;
	border-radius: 4px;
}

.invoice-list-wrapper .responsive-table .invoice-data-table .dt-checkboxes-cell input:checked:before,
.invoice-list-wrapper .responsive-table .invoice-data-table .dt-checkboxes-cell input:checked::after {
	top: -4px;
	left: -5px;

	width: 12px;
	height: 22px;

	-webkit-transform: rotate(40deg);
	-ms-transform: rotate(40deg);
	transform: rotate(40deg);
	-webkit-transform-origin: 100% 100%;
	-ms-transform-origin: 100% 100%;
	transform-origin: 100% 100%;

	border-top: 2px solid transparent;
	border-right: 2px solid #ff4081;
	border-bottom: 2px solid #ff4081;
	border-left: 2px solid transparent;

	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
}

.invoice-list-wrapper .responsive-table .bottom {
	margin-top: 1rem;
}

.invoice-list-wrapper .responsive-table .bottom .dataTables_paginate .paginate_button {
	margin-top: .25rem;
	padding: .25em .65em;
}

.invoice-list-wrapper .responsive-table .bottom .dataTables_paginate .paginate_button.current,
.invoice-list-wrapper .responsive-table .bottom .dataTables_paginate .paginate_button:hover {
	color: white !important;
	border: 1px solid #3f51b5;
	border-radius: 4px;
	background: #3f51b5;
	box-shadow: 0 0 8px 0 #3f51b5;
}

.invoice-list-wrapper .responsive-table .bullet {
	display: inline-block;

	width: 10px;
	height: 10px;
	margin-right: .2rem;

	border-radius: 50%;
}

.invoice-list-wrapper table.dataTable.dtr-column>tbody>tr>td.control:before,
.invoice-list-wrapper table.dataTable.dtr-column>tbody>tr>th.control:before {
	left: 80%;
}

/* Invoice */
/*--------*/
.invoice-view-wrapper .invoice-calc .invoice-title {
	width: 171px;
}

.invoice-view-wrapper .invoice-from,
.invoice-view-wrapper .invoice-to {
	font-size: 16px;
	font-weight: bold;

	margin-bottom: 1rem;

	color: #6b6f82;
}

.invoice-view-wrapper .invoice-action-wrapper .invoice-action-btn:not(:last-child) {
	margin-bottom: .8rem;
}

.invoice-view-wrapper .invoice-address {
	margin-bottom: 1rem;
}

/* Invoice Edit and Add */
/*----------------------*/
.invoice-edit-wrapper {
	/* Invoice Item */
	/* Invoice action button */
	/* border color all form element*/
}

.invoice-edit-wrapper .invoice-date-picker {
	/* Date Picker label */
}

.invoice-edit-wrapper .invoice-date-picker small {
	white-space: nowrap;
}

.invoice-edit-wrapper .px-36 {
	padding-right: 36px;
	padding-left: 36px;
}

.invoice-edit-wrapper .invoice-item {
	border: 1px solid #e8e8e8;
	border-radius: 4px;
	/* Invoice Icon*/
	/* invoice Item field*/
	/* dropdown content */
}

.invoice-edit-wrapper .invoice-item .invoice-icon {
	padding: 5px;

	border-left: 1px solid #e8e8e8;
}

.invoice-edit-wrapper .invoice-item .invoice-item-filed {
	padding: .8rem;
}

.invoice-edit-wrapper .invoice-item .dropdown-content {
	overflow: visible;

	width: 254px;
	padding: 10px;
}

.invoice-edit-wrapper .delete-row-btn,
.invoice-edit-wrapper .dropdown {
	cursor: pointer;
	text-align: center;
}

.invoice-edit-wrapper .delete-row-btn i,
.invoice-edit-wrapper .dropdown i {
	font-size: 1.2rem;
}

.invoice-edit-wrapper .invoice-action-wrapper .invoice-action-btn:not(:last-child) {
	margin-bottom: .8rem;
}

.invoice-edit-wrapper .invoice-action-wrapper .invoice-action-btn:not(:last-child) .preview,
.invoice-edit-wrapper .invoice-action-wrapper .invoice-action-btn:not(:last-child) .save {
	padding: 0 .75rem;
}

.invoice-edit-wrapper .invoice-action-wrapper .btn {
	padding: 0 0;
}

.invoice-edit-wrapper textarea.materialize-textarea,
.invoice-edit-wrapper input,
.invoice-edit-wrapper select {
	border-bottom: 1px solid #e8e8e8 !important;
}

@media (min-width: 600px) {

	/* responsive table*/
	.responsive-table .top .action-btns,
	.responsive-table .top .action-filters {
		/* filters btn positioning on above middium screen */
	}

	.responsive-table .top .action-btns .btn,
	.responsive-table .top .action-filters .btn {
		padding: 0 1rem;
	}

	.responsive-table .top .action-btns .btn i,
	.responsive-table .top .action-filters .btn i {
		float: left;

		margin-right: 8px;
	}

	.invoice-date-picker {
		-webkit-box-pack: end;
		-webkit-justify-content: flex-end;
		-ms-flex-pack: end;
		justify-content: flex-end;
	}

	.invoice-logo {
		-webkit-box-pack: end;
		-webkit-justify-content: flex-end;
		-ms-flex-pack: end;
		justify-content: flex-end;
	}
}

@media (max-width: 600px) {
	.invoice-payment {
		padding: 1rem;

		border: 1px solid #e8e8e8;
		border-radius: 4px;
	}

	/* Date picker*/
	.invoice-date-picker {
		-webkit-flex-wrap: wrap;
		-ms-flex-wrap: wrap;
		flex-wrap: wrap;
	}
}

@media (max-width: 1054px) and (min-width: 600px) {
	.invoice-action-wrapper .btn .responsive-text {
		/* Button text */
		font-size: .8rem;
	}
}

@media (min-width: 1201px) {
	.invoice-view-wrapper .invoice-date {
		-webkit-box-pack: end;
		-webkit-justify-content: flex-end;
		-ms-flex-pack: end;
		justify-content: flex-end;
	}
}

@media print {

	/* Hide a Unnecessary div while print invoice*/
	html,
	body {
		visibility: hidden;
	}

	.invoice-print-area {
		visibility: visible;

		page-break-after: auto;
	}

	.invoice-print-area .divider {
		margin: .5rem 0 !important;
	}

	.invoice-action-wrapper,
	.sidenav-main,
	.navbar,
	.btn-customizer,
	.theme-cutomizer,
	.btn-buy-now,
	.page-footer {
		display: none;
	}

	/* card shadow remove while printing invoice*/
	.card {
		box-shadow: none;
	}

	.card .card-content {
		padding: 0 !important;
	}

	/* table border added while printing invoice*/
	table th,
	table td {
		border: 1px solid #e8e8e8;
	}

	/* column size change*/
	.invoice-subtotal .row .col {
		width: 50% !important;
	}

	.invoice-date-number .col,
	.invoice-logo-title .col,
	.invoice-info .col {
		width: 50% !important;
	}
}

@page {
	/* auto is the initial value */
	margin: 0;
	padding: 0;

	size: auto;
	/* this affects the margin in the printer settings */
}

/* FORM */
input:not([type]):focus:not([readonly]),
input[type="text"]:not(.browser-default):focus:not([readonly]),
input[type="password"]:not(.browser-default):focus:not([readonly]),
input[type="email"]:not(.browser-default):focus:not([readonly]),
input[type="url"]:not(.browser-default):focus:not([readonly]),
input[type="time"]:not(.browser-default):focus:not([readonly]),
input[type="date"]:not(.browser-default):focus:not([readonly]),
input[type="datetime"]:not(.browser-default):focus:not([readonly]),
input[type="datetime-local"]:not(.browser-default):focus:not([readonly]),
input[type="tel"]:not(.browser-default):focus:not([readonly]),
input[type="number"]:not(.browser-default):focus:not([readonly]),
input[type="search"]:not(.browser-default):focus:not([readonly]),
textarea.materialize-textarea:focus:not([readonly]) {
	border-bottom: 1px solid #303f9f;
	box-shadow: 0 1px 0 0 #303f9f;
}

input:not([type]):focus:not([readonly])+label,
input[type="text"]:not(.browser-default):focus:not([readonly])+label,
input[type="password"]:not(.browser-default):focus:not([readonly])+label,
input[type="email"]:not(.browser-default):focus:not([readonly])+label,
input[type="url"]:not(.browser-default):focus:not([readonly])+label,
input[type="time"]:not(.browser-default):focus:not([readonly])+label,
input[type="date"]:not(.browser-default):focus:not([readonly])+label,
input[type="datetime"]:not(.browser-default):focus:not([readonly])+label,
input[type="datetime-local"]:not(.browser-default):focus:not([readonly])+label,
input[type="tel"]:not(.browser-default):focus:not([readonly])+label,
input[type="number"]:not(.browser-default):focus:not([readonly])+label,
input[type="search"]:not(.browser-default):focus:not([readonly])+label,
textarea.materialize-textarea:focus:not([readonly])+label {
	color: #303f9f;
}

.dropdown-content li>a,
.dropdown-content li>span {
	color: #303f9f;
}

.select-wrapper input.select-dropdown:focus {
	border-bottom: 1px solid #303f9f;
}

[type="checkbox"]:checked+span:not(.lever)::before {
	border-right: 2px solid #4caf50;
	border-bottom: 2px solid #4caf50;
}

/* DATEPICKER */
.datepicker-date-display {
	background-color: #303f9f;
}

.datepicker-cancel,
.datepicker-clear,
.datepicker-today,
.datepicker-done {
	color: #303f9f;
}

.datepicker-table td.is-today {
	color: #303f9f;
}

/* TIMEPICKER */
.timepicker-digital-display {
	background-color: #303f9f;
}

.timepicker-close {
	color: #303f9f;
}

.timepicker-tick.active,
.timepicker-tick:hover {
	background-color: rgba(48, 63, 159, .25);
}


.timepicker-canvas-bearing {
	fill: white !important;
}

.timepicker-canvas-fg {
	fill: rgba(48, 63, 159, 0) !important;
}

.timepicker-canvas-fg.active {
	fill: rgba(48, 63, 159, 0.5) !important;
}

.timepicker-canvas-bg {
	fill: rgba(48, 63, 159, 0.25) !important;
}

.timepicker-canvas-bg-trans {
	fill: rgba(48, 63, 159, 0.25) !important;
}

.timepicker-canvas line {
	stroke: rgba(48, 63, 159, 0.23) !important;
}

.navbar #profile-dropdown {
	width: 210px;
}

/*ARVORE BINÁRIA */
#binario .voltaraotopo {
	text-align: center;
}

#binario .voltaraotopo a {
	display: inline-block;
	background: #555;
	padding: 5px 8px 4px;
	width: 87px;
	font-weight: bold;
	font-size: 1.1em;
	color: #fff;
	text-decoration: none;
	text-transform: uppercase;
	text-align: center;
}

#binario .voltaraotopo a:hover {
	background: #000;
}



#binario table#rede {
	margin: 0 auto;
	width: 100% !important;
}

#binario table#rede tr {
	border: 0;
	padding: 0;
}

#binario table#rede tr td {
	border: 0;
	padding: 5px 2px;
	text-align: center;
	vertical-align: top;
}

#binario table#rede tr td span {
	display: block;
	line-height: 12px;
	font-size: .9em;
}

#binario table#rede tr td span strong {
	display: block;
	font-size: 1em;
	text-align: center;
}

#binario table#rede tr td span.lado {
	font-weight: bold;
	font-size: .9em;
}

#binario table#rede tr td.inativo span.lado {
	color: #bbb;
}

#binario table#rede tr td .alert-info {
	background: #eee;
	border: 0;
	margin: 0;
}

#binario table#rede .alert.alert-info.aprovado {
	background: #547C95;
}

#binario table#rede tr td.aleft {
	border-right: solid 1px #bbb;
	border-bottom: solid 1px #bbb;
}

#binario table#rede tr td.aright {
	border-left: solid 1px #bbb;
	border-bottom: solid 1px #bbb;
}

#binario table#rede tr td.bleft {
	border-right: solid 1px #bbb;
}

#binario table#rede tr td.dbottom {
	border-bottom: solid 1px #bbb;
}

#binario table#rede tr td div img {
	display: block;
	margin: 0 auto;
}

#binario table#rede tr td.inativo div img {
	padding: 10px 5px;
	opacity: .7;
}



#matriz table {
	text-align: center;
	border-collapse: collapse;
	width: 100%;
}

#matriz table tr td {
	border: 0;
	padding: 5px 2px;
	text-align: center;
	vertical-align: top;
}

#matriz table tr td.inativo {
	padding: 10px 5px;
}

#matriz table tr td div img {
	display: block;
	margin: 0 auto;
	opacity: 1;
}

#matriz table tr td.inativo div img {
	opacity: .7;
}

#matriz table tr td.a1 {
	border-bottom: solid 1px #bbb;
}

#matriz table tr td.a1l {
	border-bottom: solid 1px #bbb;
	border-right: solid 1px #bbb;
}

#matriz table tr td.a1r {
	border-bottom: solid 1px #bbb;
	border-left: solid 1px #bbb;
}

#matriz table tr td.a2 {
	border-left: solid 1px #bbb;
}

#matriz table tr td a {
	color: #333;
}

#matriz table tr td a:hover {
	color: #DD8800;
	text-decoration: none;
}

#matriz table tr td span {
	display: block;
	padding: 5px;
	line-height: 12px;
	font-size: .9em;
}

#matriz table tr td span strong {
	font-size: 1em;
}

#matriz table tr td table {
	width: 100%;
}

#matriz table tr td i {
	font-size: .65em;
	font-style: normal;
	font-weight: normal;
}